"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def network_connectivity_checker(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.troubleshooting.network_connectivity_checker(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.troubleshooting.network_connectivity_checker org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/networking/connectivity-tests".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )


async def request_info(hub, ctx, org: str, sddc: str, action: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        action(str): If = 'start', start connectivity tests.
.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.troubleshooting.request_info(ctx, org=value, sddc=value, action=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.troubleshooting.request_info org=value, sddc=value, action=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/networking/connectivity-tests".format(**{"org": org, "sddc": sddc}),
        query_params={"action": action},
        data={}
    )

